% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/SeaSondeRCS_MUSIC.R
\name{seasonder_defaultMUSIC_parameters}
\alias{seasonder_defaultMUSIC_parameters}
\title{Default Parameters for MUSIC Algorithm}
\usage{
seasonder_defaultMUSIC_parameters()
}
\value{
A numeric vector containing the default parameters for the MUSIC algorithm:
\code{c(40, 20, 2, 20)}.
}
\description{
This function returns the default parameters for the MUSIC algorithm used in the SeaSondeR package.
}
\details{
The default parameters are:
\itemize{
\item 40: Threshold used in \code{seasonder_MUSICCheckEigenValueRatio}.
\item 20: Threshold used in \code{seasonder_MUSICCheckSignalPowers}.
\item 2: Threshold used in \code{seasonder_MUSICCheckSignalMatrix}.
\item 20: Threshold used in \code{seasonder_MUSICCheckBearingDistance}.
}
}
\examples{
# Retrieve default parameters
params <- seasonder_defaultMUSIC_parameters()
print(params)
}
\seealso{
\code{\link{seasonder_MUSICTestDualSolutions}} to understand the parameters in context.
}
