% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/seasonder_specsHandling.R
\name{seasonder_defaultSpecsFilePath}
\alias{seasonder_defaultSpecsFilePath}
\title{Get the Default Specifications File Path}
\usage{
seasonder_defaultSpecsFilePath(type = "CS")
}
\arguments{
\item{type}{A character string specifying the type of specifications file. Default is "CS".}
}
\value{
A character string representing the full path to the YAML specifications file.
}
\description{
This function returns the default file path for the specifications YAML file corresponding
to the provided type. The type must be one of the names defined in the default paths (i.e., "CS" or "CSSY").
}
\examples{

  # Retrieve the default CS specifications file path
  cs_specs_path <- seasonder_defaultSpecsFilePath("CS")

  # Retrieve the default CSSY specifications file path
  cssy_specs_path <- seasonder_defaultSpecsFilePath("CSSY")
}
