% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/SeaSondeRCSSW.R
\name{seasonder_readCSSWBody}
\alias{seasonder_readCSSWBody}
\title{Read CSSW Body}
\usage{
seasonder_readCSSWBody(
  connection,
  specs,
  size,
  dbRef,
  endian = "big",
  specs_key_size = NULL
)
}
\arguments{
\item{connection}{A binary connection from which the body is read.}

\item{specs}{A list specifying the body keys and formats.}

\item{size}{The total number of bytes to read for the body section.}

\item{dbRef}{Numeric decibel reference used for scaling.}

\item{endian}{A character specifying byte order.}

\item{specs_key_size}{Optional specification for the key size block.}
}
\value{
A list of processed body cells with applied sign corrections.
}
\description{
Reads the body section of a CSSW file, processing each cell block until the designated endpoint.
}
