% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/SeaSondeRCS_MUSIC.R
\name{seasonder_setSeaSondeRCS_MUSIC_dual_solutions_proportion}
\alias{seasonder_setSeaSondeRCS_MUSIC_dual_solutions_proportion}
\title{Set Dual Solutions Proportion for MUSIC Analysis}
\usage{
seasonder_setSeaSondeRCS_MUSIC_dual_solutions_proportion(
  seasonder_cs_object,
  dual_solutions_proportion
)
}
\arguments{
\item{seasonder_cs_object}{A \code{SeaSondeRCS} object containing MUSIC analysis results.}

\item{dual_solutions_proportion}{A numeric value representing the proportion of dual solutions.}
}
\value{
The updated \code{SeaSondeRCS} object with the dual solutions proportion stored in its MUSIC data.
}
\description{
This function assigns the dual solutions proportion to the MUSIC data of a SeaSondeRCS object.
The dual solutions proportion represents the fraction of solutions identified as dual in the MUSIC
processing workflow. Currently, no explicit validation of the provided value is performed.
}
\details{
The function updates the \code{dual_solutions_proportion} field within the \code{MUSIC_data} attribute.
This value is later used to assess the prevalence of dual bearing solutions in the MUSIC results.
}
